Announcement

Collapse
No announcement yet.

PHP version message

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • PHP version message

    Hi; I was using Scriptcase (PHP 5.3), and suddenly, I got kicked out of it, and now when I try to access it, I get this message:

    This Scriptcase is encrypted for a different version of php.
    Your PHP version is 5.3.14, please check the tutorial to learn how to update your php.
    Or download the version of Scriptcase appropriate for your environment.

    That is clearly not the case, as I have PHP 5.3 installed on my server (it's own server), Scriptcase 5.3 installed, and was using it until 10 minutes ago, I did not do any upgrades.

    So, how can I recover this? The solution netmake proposes includes doing a backup within Scriptcase, but as I said, I lost my access to it....how can I reinstall it and recover my projects?

    Thanks and regards.

  • #2
    Which version of scriptcase are you running? Do you have any backup of your full scriptcase directory? Did you install other kind of web software? I looks to me that this is a message comming from the zend environment.
    Albert Drent
    aducom software netherlands
    scriptcase partner, reseller, support and (turn-key) development
    www.scriptcase.eu / www.scriptcase.nl

    Comment


    • #3
      Hi; I am running 5.3, along with PHP 5.3...I continue to have access to my server, folders, files, etc, what I don't have is a current backup made from within Scriptcase...was puzzles me, is the fact that this message poped up in the middle of a session, I was working perfectly OK with Scriptcase and out of the blue, this messagte....and I can assure you I did not upgrade, install, etc, anything on my server today...

      Comment


      • #4
        If I run diagnosis.php. show all OK:

        OK PHP: 5.3.14
        OK Hostname: adaptivis.com.ar
        OK Zend: 3.3
        OK OS: LINUX ADAPTIVIS.COM.AR 2.6.32-431.17.1.EL6.X86_64 #1 SMP WED MAY 7 23:32:49 UTC 2014 X86_64
        OK WEB Server: Apache/2.2.15 (CentOS)
        ScriptCase Devel: 7.1.021
        ScriptCase Build: 8
        ScriptCase Prod: 7.1.021

        Comment


        • #5
          Some more info, maybe it helps...installed a trial version of SC 7.1 for PHP 5.3 on the same server, different folder, and works OK (meaning, there is no problem with PHP, Zend, etc., on my server)...so now, the question is, how do I transfer the projects from one install to the other, when I have no way to execute the old install because of this PHP version message?

          Comment


          • #6
            Originally posted by adonatti View Post
            Some more info, maybe it helps...installed a trial version of SC 7.1 for PHP 5.3 on the same server, different folder, and works OK (meaning, there is no problem with PHP, Zend, etc., on my server)...so now, the question is, how do I transfer the projects from one install to the other, when I have no way to execute the old install because of this PHP version message?
            Try to move www folder and scriptcase sqlite database and try.
            /Giuseppe

            Professional Scriptcase Services
            Some Customers opinions

            Comment


            • #7
              Hi Giu...not sure what you mean....
              www folder: you mean overwrite one scriptcase installation with other? If that is the case, which one is the source (old one?) and destination (new one?)
              sqlite: no idea how to do that, is there a tool in SC to achieve this task?

              Tks in advance for your help!

              Comment


              • #8
                I tried the suggestion from Giu (copied the APP folder and nm_scriptcase.db file from the old to the new install), and upon login to the new install, I see my projects, I can edit them, but when trying to compile, I get this error:

                Version not permitted for this server.
                Contact NetMake (www.scriptcase.net) Error:-2:/var/www/html/scriptcase7/##/var/www/html/SC/scriptcase7-53/-4-5

                Other proboems is, no language data is present (i.e., all fields shows "undefined").

                Cheers, Ariel.

                Comment


                • #9
                  Making improvements...copied the (from the old -broken- install to the new one) folders /devel/conf/lang and /devel/conf/grp, activated with a new serial number, and now it *seems* is working OK, at least I can compile and run.

                  Comment

                  Working...
                  X